#!/bin/sh

. /tmp/openit-cfg-shenv

#Get the first two part of the version
if [ -e $CONFIG_DIR/version ]; then
	ver=`cat $CONFIG_DIR/version | cut -d "." -f 1-2 | tr -d '.'`
else
	ver=`grep VERSION $ROOT_TEMP_DIR/inst/package/accserver.info | cut -d" " -f2 | cut -d "." -f 1-2 | tr -d '.'`
fi

#If the version is greater than 64 use the files from php otherwise use files from php64
if [ $ver -gt 64 ]; then
	version=""
else
	version="64"
fi

#Copy fix for classification value searching
cp source/php$version/smarty/components/complete_selection/classification_value_list.php $ROOT_DIR/smarty/components/complete_selection/classification_value_list.php

#Copy the fix for clients sorting using last seen in 6.5 up only
if [[ -z "$version" ]]; then
	cp source/php$version/html/dashboard/system_info/build_client_list.php $ROOT_DIR/html/dashboard/system_info/build_client_list.php
fi

exit 0
